Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartTypeInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo

Direct Known Subclasses:
  AreaInfo, BarExtendInfo, BarInfo, BoPPoPInfo, ColumnInfo, DropBarInfo, LineInfo, PieInfo, RadarInfo, ScatterInfo, StockInfo, SurfaceInfo

    public abstract class ChartTypeInfo

extends java.lang.Object

contains the information of chart type in the file.

Field Summary
`static int` | `AREA`
`static int` | `BAR`
`static int` | `BAR_AREA`
`static int` | `BAR_LINE`
`static int` | `BOPPOP`
`static int` | `COLUMN`
`static int` | `CONE`
`static int` | `CYLINDER`
`static int` | `DROPBAR`
`static int` | `LINE`
`static int` | `LINE_LINE`
`static int` | `PIE`
`static int` | `PYRAMID`
`static int` | `RADAR`
`static int` | `SCATTER`
`static short` | `SHOWBUBBLESIZE`
`static short` | `SHOWLABEL`
`static short` | `SHOWLABPER`
`static short` | `SHOWNONE`
`static short` | `SHOWPERCENT`
`static short` | `SHOWVALUE`
`static int` | `STOCK`
`static int` | `SURFACE`

Constructor Summary
`ChartTypeInfo()`
`ChartTypeInfo(short dataLabel, boolean is3D, Info3D info3D)` Constructs class ChartTypeInfo and sets its fields appropriately.

Method Summary
`void` | `addSeries(SeriesInfo seriesInfo)` Add a SeriesInfo into the ArrayList series
`java.lang.String[]` | `getCatName()` Get the category names of chart
`java.lang.String` | `getCatNameRef()` Get the category names reference of chart
`abstract int` | `getChartType()` Get the type of the chart
`short` | `getDataLabel()` Get the type of chart Data label
`Info3D` | `getInfo3D()` Get the chart 3D information
`boolean` | `getIs3D()` Get the chart is 3D or not
`SeriesInfo` | `getSeries(int index)` Get a SeriesInfo from the ArrayList series
`int` | `getSeriesSize()` get the size of the ArrayList series
`abstract short` | `getStyle()` Get the Style of the chart
`abstract boolean` | `hasShadow()` Get the chart has shadow or not
`void` | `insertSeries(int index, SeriesInfo seriesInfo)` Insert a SeriesInfo into the ArrayList series
`SeriesInfo` | `removeSeries(int index)` Remove a SeriesInfo from the ArrayList series
`void` | `replace(int i, SeriesInfo seriesInfo)`
`void` | `setCatName(java.lang.String[] catName)` Set the category names of chart
`void` | `setCatNameRef(java.lang.String catNameRef)` Set the category names reference of chart
`void` | `setDataLabel(short dataLabel)` Set the type of chart Data label
`void` | `setInfo3D(Info3D info3D)` Set the chart 3D information
`void` | `setIs3D(boolean is3D)` Set the chart is 3D or not

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PIE

    public static final int PIE

See Also:
  Constant Field Values

### BAR

    public static final int BAR

See Also:
  Constant Field Values

### COLUMN

    public static final int COLUMN

See Also:
  Constant Field Values

### LINE

    public static final int LINE

See Also:
  Constant Field Values

### AREA

    public static final int AREA

See Also:
  Constant Field Values

### RADAR

    public static final int RADAR

See Also:
  Constant Field Values

### SCATTER

    public static final int SCATTER

See Also:
  Constant Field Values

### SURFACE

    public static final int SURFACE

See Also:
  Constant Field Values

### BOPPOP

    public static final int BOPPOP

See Also:
  Constant Field Values

### CYLINDER

    public static final int CYLINDER

See Also:
  Constant Field Values

### CONE

    public static final int CONE

See Also:
  Constant Field Values

### PYRAMID

    public static final int PYRAMID

See Also:
  Constant Field Values

### STOCK

    public static final int STOCK

See Also:
  Constant Field Values

### DROPBAR

    public static final int DROPBAR

See Also:
  Constant Field Values

### BAR_LINE

    public static final int BAR_LINE

See Also:
  Constant Field Values

### LINE_LINE

    public static final int LINE_LINE

See Also:
  Constant Field Values

### BAR_AREA

    public static final int BAR_AREA

See Also:
  Constant Field Values

### SHOWNONE

    public static final short SHOWNONE

See Also:
  Constant Field Values

### SHOWVALUE

    public static final short SHOWVALUE

See Also:
  Constant Field Values

### SHOWPERCENT

    public static final short SHOWPERCENT

See Also:
  Constant Field Values

### SHOWLABPER

    public static final short SHOWLABPER

See Also:
  Constant Field Values

### SHOWLABEL

    public static final short SHOWLABEL

See Also:
  Constant Field Values

### SHOWBUBBLESIZE

    public static final short SHOWBUBBLESIZE

See Also:
  Constant Field Values

Constructor Detail

### ChartTypeInfo

    public ChartTypeInfo()

### ChartTypeInfo

    public ChartTypeInfo(short dataLabel,
                         boolean is3D,
                         Info3D info3D)

  Constructs class ChartTypeInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label
    `is3D` - Is 3D chart or not

Method Detail

### getChartType

    public abstract int getChartType()

  Get the type of the chart

  Returns:
    type of the chart

### getStyle

    public abstract short getStyle()

  Get the Style of the chart

  Returns:
    Style of the chart

### getIs3D

    public boolean getIs3D()

  Get the chart is 3D or not

  Returns:
    the chart is 3D or not

### setIs3D

    public void setIs3D(boolean is3D)

  Set the chart is 3D or not

  Parameters:
    `is3D` - the chart is 3D or not

### getInfo3D

    public Info3D getInfo3D()

  Get the chart 3D information

  Returns:
    the chart 3D information

### setInfo3D

    public void setInfo3D(Info3D info3D)

  Set the chart 3D information

  Parameters:
    `info3D` - the chart 3D information

### getDataLabel

    public short getDataLabel()

  Get the type of chart Data label

  Returns:
    the type of chart Data label

### setDataLabel

    public void setDataLabel(short dataLabel)

  Set the type of chart Data label

  Parameters:
    `dataLabel` - the type of chart Data label

### getCatName

    public java.lang.String[] getCatName()

  Get the category names of chart

  Returns:
    the category names of chart

### setCatName

    public void setCatName(java.lang.String[] catName)

  Set the category names of chart

  Parameters:
    `catName` - the category names of chart

### getCatNameRef

    public java.lang.String getCatNameRef()

  Get the category names reference of chart

  Returns:
    the category names reference of chart such as sheet1!a1:a4 and so on

### setCatNameRef

    public void setCatNameRef(java.lang.String catNameRef)

  Set the category names reference of chart

  Parameters:
    `catName` - the category names reference of chart such as sheet1!a1:a4 and so on

### addSeries

    public void addSeries(SeriesInfo seriesInfo)

  Add a SeriesInfo into the ArrayList series

  Parameters:
    `seriesInfo` - the SeriesInfo to be added

### insertSeries

    public void insertSeries(int index,
                             SeriesInfo seriesInfo)

  Insert a SeriesInfo into the ArrayList series

  Parameters:
    `seriesInfo` - the SeriesInfo to be inserted
    `index` - The index of the seriesInfo to be inserted into the Arraylist

### removeSeries

    public SeriesInfo removeSeries(int index)

  Remove a SeriesInfo from the ArrayList series

  Parameters:
    `index` - The index of the seriesInfo to be removed

### getSeriesSize

    public int getSeriesSize()

  get the size of the ArrayList series

### getSeries

    public SeriesInfo getSeries(int index)

  Get a SeriesInfo from the ArrayList series

  Parameters:
    `index` - The index of the seriesInfo to be gotten

### hasShadow

    public abstract boolean hasShadow()

  Get the chart has shadow or not

  Returns:
    the chart has shadow or not

### replace

    public void replace(int i,
                        SeriesInfo seriesInfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD